Overview - Curricular Skills

Note: Lightcast will be deprecating the groups and courses endpoints March 2026, and moving to the curricular-units endpoints.

Introduction

The Lightcast Curricular Skills API provides a place to store your
curriculum (courses and groups) details and discover and associate the
skills taught by it's courses.

With this API you can:

  • Create, read, and delete courses, and groups
  • Match the courses and groups to skills that are taught.
  • Find skills related to your curriculum.

To see recent changes to the API please check out the
changelog.

API Details

Authentication

All endpoints require an OAuth bearer token. See our OAuth 2.0 guide for
details on acquiring and using bearer tokens. You must request the scope
curricular_skills_prod:editor or curricular_skills_prod:consumer to
use the Curricular Skills api.

Courses

Courses are individual curricular units. Courses have descriptive
attributes (e.g. title, description, course code) as well as an
array of the skills associated with the course. Courses can be put
together in Groups. The Curricular Skills API provides resources for
working with Groups of Courses.

Groups

Groups are a collection of Courses that are related to each other in some
way. Groups also have meta information attributes that describe more
about how the Courses within the Group relate to each other (e.g.title,
description, etc.). A Group always has a groupType attribute which is
an institution-specific label or name for that type of course grouping,
for example: Bachelor's Degrees, Modules or Quick CertificationTM.
These groupTypes are then related to each other by a groupTypeClass
attribute. The groupTypeClass is a way to classify institution specific
groupTypes into more standardized categories such as: Bachelor Degree,
Associate Degree, or Certificate. These groupTypeClasses are
pre-existing, Lightcast-created classifications. Upon creation of a groupType,
one chooses which classification the new groupType fits into.

For example:
Say an institution has a set of courses that, when completed, earn a
student a certificate that the institution categorizes as a "FastTrackTM
Certification". The institution may create a group with the
groupType: FastTrackTM Certification, and assign to that Group all of
the Courses required for that certification. That group is then
classified as a Certification by giving it the groupTypeClass:
Certificate.

In the API, these data relationships are automatically taken care of by
assigning a groupType during creation of a group.

An overview of the structure of the relationships:

  • course: A Course contains individual course information provided by
    the institution. Courses do not know what groups they are in. Ex:
    COM101
  • group: A group is made up of a selection of Courses, a groupType, and
    other metadata describing the Group.
  • groupType: A groupType contains a custom, institution-specific label
    as well as the groupTypeClass that contains the Lightcast classification of
    that groupType. Ex: Fast Track Bachelors
  • groupTypeClass: A groupTypeClass contains a name attribute,
    representing one of the Lightcast classifications of Groups of Courses.
    Bachelor Degree

Frequently Asked Questions

How can I get all the skills in a particular group?

  • The easiest way to get the skills in a particular group are to make a POST /courses/search request using an associatedGroups filter. This will return all the courses in the group(s) provided to the filter. The skills on these courses can then be reduced and deduplicated into a single array resulting in the skills in the provided groups.

Have more questions on how to use the API? let us know...